Skip to content
Start here

Get Pipeline Details

GET/accounts/{account_id}/pipelines/v1/pipelines/{pipeline_id}

Get Pipelines Details.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines WritePipelines Read
Path ParametersExpand Collapse
account_id: string

Specifies the public ID of the account.

pipeline_id: string

Specifies the public ID of the pipeline.

maxLength32
minLength32
ReturnsExpand Collapse
result: object { id, created_at, modified_at, 5 more }
id: string

Indicates a unique identifier for this pipeline.

created_at: string
modified_at: string
name: string

Indicates the name of the Pipeline.

maxLength128
minLength1
sql: string

Specifies SQL for the Pipeline processing flow.

status: string

Indicates the current status of the Pipeline.

tables: array of object { id, latest, name, 2 more }

List of streams and sinks used by this pipeline.

id: string

Unique identifier for the connection (stream or sink).

latest: number

Latest available version of the connection.

name: string

Name of the connection.

maxLength128
minLength1
type: "stream" or "sink"

Type of the connection.

One of the following:
"stream"
"sink"
version: number

Current version of the connection used by this pipeline.

failure_reason: optional string

Indicates the reason for the failure of the Pipeline.

success: boolean

Indicates whether the API call was successful.

Get Pipeline Details

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/pipelines/v1/pipelines/$PIPELINE_ID \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status",
    "tables": [
      {
        "id": "1c9200d5872c018bb34e93e2cd8a438e",
        "latest": 5,
        "name": "my_table",
        "type": "stream",
        "version": 4
      }
    ],
    "failure_reason": "failure_reason"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status",
    "tables": [
      {
        "id": "1c9200d5872c018bb34e93e2cd8a438e",
        "latest": 5,
        "name": "my_table",
        "type": "stream",
        "version": 4
      }
    ],
    "failure_reason": "failure_reason"
  },
  "success": true
}